#include <stdio.h>

int main(int argc, char **argv)
{
  (void) argc;
  (void) argv;
  int input;
  int output = 0;
  int shift = -1;
  while (EOF != (input = getchar()))
  {
    if (input & 0x80)
    {
      fprintf(stderr, "decode7: warning: high bit ignored\n");
      input &= 0x7F;
    }
    if (shift == -1)
    {
      output |= input << 1;
      shift = 6;
    }
    else
    {
      output |= input >> shift;
      putchar(output);
      output = (input & ((1 << shift) - 1)) << (8 - shift);
      --shift;
    }
  }
  if (shift == 6)
  {
    putchar(output);
  }
  return 0;
}
